package vip.xiaonuo.coldchain.core.alarm.enums;

import lombok.Getter;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2025/1/6 13:04:49
 */
@Getter
public enum SensorAlarmType {
    DATA_ALARM("0","数据预警"),
    SENSOR_OFFLINE("1","传感器离线");
    private final String deviceCode;
    private final String deviceName;

    // 构造方法
    SensorAlarmType(String deviceCode, String deviceName) {
        this.deviceCode = deviceCode;
        this.deviceName = deviceName;
    }
}
